## GtkCenterLayout GtkCenterLayout — A centering layout |

## Functions

GtkLayoutManager * | gtk_center_layout_new ()
void | gtk_center_layout_set_orientation ()
GtkOrientation | gtk_center_layout_get_orientation ()
void | gtk_center_layout_set_baseline_position ()
GtkBaselinePosition | gtk_center_layout_get_baseline_position ()
void | gtk_center_layout_set_start_widget ()
GtkWidget * | gtk_center_layout_get_start_widget ()
void | gtk_center_layout_set_center_widget ()
GtkWidget * | gtk_center_layout_get_center_widget ()
void | gtk_center_layout_set_end_widget ()
GtkWidget * | gtk_center_layout_get_end_widget ()

## Types and Values

| GtkCenterLayout

## Object Hierarchy

        GObject
        ╰── GtkLayoutManager
            ╰── GtkCenterLayout

## Includes

    #include <gtk/gtk.h>

## Description

A GtkCenterLayout is a layout manager that manages up to three children. The start widget is allocated at the start of the layout (left in LRT layouts and right in RTL ones), and the end widget at the end.

The center widget is centered regarding the full width of the layout's.

## Functions

### gtk_center_layout_new ()

    GtkLayoutManager *
    gtk_center_layout_new (void);

Creates a new GtkCenterLayout.

#### Returns

the newly created GtkCenterLayout

### gtk_center_layout_set_orientation ()

    void
    gtk_center_layout_set_orientation (GtkCenterLayout *self,
                                       GtkOrientation orientation);

Sets the orientation of `self` .

#### Parameters

self | a GtkCenterLayout |
orientation | the new orientation |

### gtk_center_layout_get_orientation ()

    GtkOrientation
    gtk_center_layout_get_orientation (GtkCenterLayout *self);

Gets the current orienration of the layout manager.

#### Parameters

self | a GtkCenterLayout |

#### Returns

The current orientation of `self`

### gtk_center_layout_set_baseline_position ()

    void
    gtk_center_layout_set_baseline_position
                                   (GtkCenterLayout *self,
                                    GtkBaselinePosition baseline_position);

Sets the new baseline position of `self`

#### Parameters

self | a GtkCenterLayout |
baseline_position | the new baseline position |

### gtk_center_layout_get_baseline_position ()

    GtkBaselinePosition
    gtk_center_layout_get_baseline_position
                                   (GtkCenterLayout *self);

Returns the baseline position of the layout.

#### Parameters

self | a GtkCenterLayout |

#### Returns

The current baseline position of `self` .

### gtk_center_layout_set_start_widget ()

    void
    gtk_center_layout_set_start_widget (GtkCenterLayout *self,
                                        GtkWidget *widget);

Sets the new start widget of `self` .

#### Parameters

self | a GtkCenterLayout |
widget | the new start widget |

### gtk_center_layout_get_start_widget ()

    GtkWidget *
    gtk_center_layout_get_start_widget (GtkCenterLayout *self);

Returns the start widget fo the layout.

#### Parameters

self | a GtkCenterLayout |

#### Returns

The current start widget of `self` .

[transfer none]

### gtk_center_layout_set_center_widget ()

    void
    gtk_center_layout_set_center_widget (GtkCenterLayout *self,
                                         GtkWidget *widget);

Sets the new center widget of `self`

#### Parameters

self | a GtkCenterLayout |
widget | the new center widget |

### gtk_center_layout_get_center_widget ()

    GtkWidget *
    gtk_center_layout_get_center_widget (GtkCenterLayout *self);

Returns the center widget of the layout.

#### Parameters

self | a GtkCenterLayout |

#### Returns

the current center widget of `self` .

[transfer none]

### gtk_center_layout_set_end_widget ()

    void
    gtk_center_layout_set_end_widget (GtkCenterLayout *self,
                                      GtkWidget *widget);

Sets the new end widget of `self`

#### Parameters

self | a GtkCenterLayout |
widget | the new end widget. | [transfer none]

### gtk_center_layout_get_end_widget ()

    GtkWidget *
    gtk_center_layout_get_end_widget (GtkCenterLayout *self);

Returns the end widget of the layout.

#### Parameters

self | a GtkCenterLayout |

#### Returns

the current end widget of `self` .

[transfer none]

## Types and Values

### GtkCenterLayout

    typedef struct _GtkCenterLayout GtkCenterLayout;